petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscDrawHGGetAxis

Gets the axis context associated with a histogram. This is useful if one wants to change some axis property, such as labels, color, etc. The axis context should not be destroyed by the Section 1.5 Writing Application Codes with PETSc code.

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawHGGetAxis(PetscDrawHG hist,PetscDrawAxis *axis)

Not Collective, PetscDrawAxis is parallel if PetscDrawHG is parallel

### Input Parameter

hist -The histogram context

### Output Parameter

axis -The axis context

### See Also

PetscDrawHGCreate(), PetscDrawHGAddValue(), PetscDrawHGView(), PetscDrawHGDraw(), PetscDrawHGSetColor(), PetscDrawAxis, PetscDrawHGSetLimits()

### Level

intermediate

### Location

src/sys/classes/draw/utils/hists.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages